Post Reply

Unable to build CM 10.1 with Android 4.2.2

OP sarbyn

22nd February 2013, 03:45 PM   |  #1  
sarbyn's Avatar
OP Junior Member
Thanks Meter: 0
 
12 posts
Join Date:Joined: Dec 2010
Hi to all.
I'm trying to build the latest version of CyanogenMod, with android 4.2.2. I sync the repo with
Code:
repo init -u git://github.com/CyanogenMod/android.git -b cm-10.1
and now I'm in the breakfast phase. The result is:
Code:
sarbyn@ZOIDBERG:~/cyanogen_p4/system$ breakfast p4
including vendor/cm/vendorsetup.sh
ls: impossibile accedere a device/*/p4/cm.mk: File o directory non esistente
build/core/product_config.mk:234: *** Cannot locate config makefile for product "cm_p4".  Arresto.
Device p4 not found. Attempting to retrieve device repository from CyanogenMod Github (http://github.com/CyanogenMod).
Found repository: android_device_samsung_p4
Default revision: cm-10.1
Checking branch info
CyanogenMod/android_device_samsung_p4 already exists
Syncing repository to retrieve project.
error: project device/samsung/p4 not found
Repository synced!
Looking for dependencies
Dependencies file not found, bailing out.
Done
ls: impossibile accedere a device/*/p4/cm.mk: File o directory non esistente
build/core/product_config.mk:234: *** Cannot locate config makefile for product "cm_p4".  Arresto.

** Don't have a product spec for: 'cm_p4'
** Do you have the right repo manifest?
I have a nightly build installed with Android 4.2.2, so I think that build the newest android version for samsung p4 is possible.
What is wrong?
25th February 2013, 08:56 AM   |  #2  
sarbyn's Avatar
OP Junior Member
Thanks Meter: 0
 
12 posts
Join Date:Joined: Dec 2010
I think that there is something broken in the build system for P4 device. I tried also to git-clone manually the android_device_samsung_p4 project and android_device_samsung_p4-common project in the right path (/device/samsung/) but the breakfast give me another error.

Sorry but my poor knowledge of CM build system does not help me

Has anybody build from scratch a cyanogenmod with android 4.2.2?

(BTW ...I don't understand why my topic was moved here...)
15th October 2013, 03:10 PM   |  #3  
Junior Member
Thanks Meter: 0
 
2 posts
Join Date:Joined: Oct 2013
Update
Hey sarbyn,

I stumbled upon the same error today. Did you find any fixes or further information about that?

Best regards

el manu
15th October 2013, 03:13 PM   |  #4  
sarbyn's Avatar
OP Junior Member
Thanks Meter: 0
 
12 posts
Join Date:Joined: Dec 2010
Quote:
Originally Posted by elmanuel

Hey sarbyn,

I stumbled upon the same error today. Did you find any fixes or further information about that?

Best regards

el manu

Sorry but I don't remember how I fixed it. The last time I did a build for P4 was in february...if I remember correctly it was only a temporary issue, after some days a simple "repo sync" fixed it
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes